Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032390
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2016-03-02 18:372016-03-23 01:59
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revisionc348f263a0a4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032390: Cannot close an order with an allocated reservation if the released quantity is smaller than half the total reserved quantity

DescriptionCannot close an order with an allocated reservation if the released quantity is smaller than half the total reserved quantity
Steps To ReproduceAs group admin role:
   Create the Enable Stock reservations preference
   Log out and log in
   Create three sales orders of 10 units each.
   Reserve the 10 units of the three orders and set the reservations as allocated
   Create a goods shipment with 2, 5 and 8 units of each sales order respectively
   Check the sales orders with 5 and 8 units released can be closed
   Try to close the one with 2 units released and check the following error message is shown:
      "There is more allocated quantity than ordered quantity"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0033752 closedmarkmm82 Cannot close an order if the stock was reserved and the associated goods shipment is voided 
related to defect 0035270 closedcollazoandy4 Wrong reservation when closing a sales order with a voided partial shipment 

-  Notes
(0084811)
aferraz (developer)
2016-03-08 10:41
edited on: 2016-03-17 12:57

When closing the sales order, if related reservation exists with pending allocated reserved quantity, an error should be shown to force user undo allocated reservation.

(0085008)
markmm82 (developer)
2016-03-16 13:52
edited on: 2016-03-17 14:54

Test plan 1:
As group admin role:
   Create the Enable Stock reservations preference
   Log out and log in
   Create three sales orders of 10 units
   Reserve the 10 units of the three orders and set the reservations as allocated
   Create a goods shipment with 2, 5 and 8 units of each sales order respectively
   Try to close any of previous sales orders (with 2,5,8 units released) and check the following error message is shown:
      "There is more allocated quantity than ordered quantity"

Test plan 2:
   Create a sales order of 10 units
   Reserve the 10 units and set the reservations as allocated
   Create a goods shipment with 10 units of this sales order
   Check the sales orders created with 10 units released can be closed.

(0085203)
psanjuan (manager)
2016-03-17 14:41

Issue verified.
(0085209)
psanjuan (manager)
2016-03-17 14:57
edited on: 2016-03-21 11:48

Test plan 1:

As group admin role:
   Create the Enable Stock reservations preference
   Log out and log in
   Create a product named "Issue 32390" in F&B EspaƱa.
   Relate it to a purchase price list (Tarifa Bebidas Alegres) and a sales price list (Tarifa de Ventas).
   Create a goods receipt of 40 units.
   Create a sales orders of 10 units
   Reserve the 10 units as allocated
   Create a goods shipment for 2 units by using "Create Lines From" process
   After that try to close the sales order.
   Check the following error message is shown, which is correct:
"There is more allocated quantity than ordered quantity"

   Either:
   - Set allocated quantity to 2, same as released quantity by using "Manage Reservation" button
   - or remove allocated check by using "Manage Reservation" button
   Press Done.
   Close the order
   
Repeat same steps as above but creating each a sales order for 10 units but shipping 5, 8 and 10 units, each time.
In the case of shipping 10 units, there is not need to execute any further action but to close the order, as the full order is shipped.

(0085210)
psanjuan (manager)
2016-03-17 15:25

Test plan above verified.

Please improve error message as:

"There is more allocated quantity than delivered quantity"

Issue can be code reviewed and closed.
(0085238)
psanjuan (manager)
2016-03-21 11:49

Test Plan above verified. Error message improved.
(0085267)
hgbot (developer)
2016-03-22 20:11

Repository: erp/devel/pi
Changeset: c348f263a0a40d6739dee137f55bd3904fabc13c
Author: Mark <m.molina <at> nectus.com>
Date: Fri Mar 18 12:40:41 2016 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/c348f263a0a40d6739dee137f55bd3904fabc13c [^]

Fixes issue 32390: Cannot close an order with an allocated reservation if is not released the total reserved quantity.

Cannot close an order with an allocated reservation if the released quantity is different than the total reserved quantity.

---
M src-db/database/model/functions/C_ORDER_POST1.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0085268)
aferraz (developer)
2016-03-22 20:12

Code review OK
(0085276)
hudsonbot (developer)
2016-03-23 01:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f4f7526c0d97 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-03-02 18:37 ngarcia New Issue
2016-03-02 18:37 ngarcia Assigned To => Triage Finance
2016-03-02 18:37 ngarcia Modules => Core
2016-03-02 18:37 ngarcia Triggers an Emergency Pack => No
2016-03-02 18:37 ngarcia Issue Monitored: networkb
2016-03-03 10:22 heccam Issue Monitored: heccam
2016-03-03 19:01 aferraz Assigned To Triage Finance => aferraz
2016-03-03 19:01 aferraz Status new => scheduled
2016-03-08 10:41 aferraz Note Added: 0084811
2016-03-08 10:42 aferraz Assigned To aferraz => Triage Finance
2016-03-08 10:42 aferraz Status scheduled => acknowledged
2016-03-08 10:42 aferraz Status acknowledged => scheduled
2016-03-08 10:42 aferraz Status scheduled => feedback
2016-03-08 10:42 aferraz Status feedback => new
2016-03-14 16:01 markmm82 Status new => scheduled
2016-03-14 16:01 markmm82 Assigned To Triage Finance => markmm82
2016-03-16 13:52 markmm82 Note Added: 0085008
2016-03-17 12:57 aferraz Note Edited: 0084811 View Revisions
2016-03-17 13:37 psanjuan Steps to Reproduce Updated View Revisions
2016-03-17 14:41 psanjuan Note Added: 0085203
2016-03-17 14:54 psanjuan Note Edited: 0085008 View Revisions
2016-03-17 14:57 psanjuan Note Added: 0085209
2016-03-17 14:59 psanjuan Note Edited: 0085209 View Revisions
2016-03-17 14:59 psanjuan Note Edited: 0085209 View Revisions
2016-03-17 15:00 psanjuan Note Edited: 0085209 View Revisions
2016-03-17 15:03 psanjuan Note Edited: 0085209 View Revisions
2016-03-17 15:07 psanjuan Note Edited: 0085209 View Revisions
2016-03-17 15:10 psanjuan Note Edited: 0085209 View Revisions
2016-03-17 15:20 psanjuan Note Edited: 0085209 View Revisions
2016-03-17 15:24 psanjuan Note Edited: 0085209 View Revisions
2016-03-17 15:25 psanjuan Note Added: 0085210
2016-03-21 11:48 psanjuan Note Edited: 0085209 View Revisions
2016-03-21 11:49 psanjuan Note Added: 0085238
2016-03-22 20:11 hgbot Checkin
2016-03-22 20:11 hgbot Note Added: 0085267
2016-03-22 20:11 hgbot Status scheduled => resolved
2016-03-22 20:11 hgbot Resolution open => fixed
2016-03-22 20:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c348f263a0a40d6739dee137f55bd3904fabc13c [^]
2016-03-22 20:12 aferraz Review Assigned To => aferraz
2016-03-22 20:12 aferraz Note Added: 0085268
2016-03-22 20:12 aferraz Status resolved => closed
2016-03-22 20:12 aferraz Fixed in Version => 3.0PR16Q2
2016-03-23 01:59 hudsonbot Checkin
2016-03-23 01:59 hudsonbot Note Added: 0085276
2016-08-20 21:52 aferraz Relationship added related to 0033752
2017-03-23 09:33 aferraz Relationship added related to 0035270


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker